namespace DualScreenDemo
{
    public partial class PrimaryForm
    {
        private void NostalgicSongsButton_Click(object sender, EventArgs e)
        {
            UpdateCatBtns(nostalgicSongsButton, nostalgicSongsActiveBackground);
            /*nostalgicSongs = allSongs.Where(song => song.SongGenre.Contains("E1"))
                                .OrderByDescending(song => song.Plays) 
                                .ToList();*/
            string query = SetQueryforSQL("E1"); // Set the query for SQL to filter by genre "F1"
            var nostalgicSongs = SearchSongs_Mysql(query);        
            currentPage = 0; 
            totalPages = (int)Math.Ceiling((double)nostalgicSongs.Count / itemsPerPage);

            multiPagePanel.currentPageIndex = 0;
            multiPagePanel.LoadSongs(nostalgicSongs);
        }
    }
}